/* -- Include the precompiled libraries -- */
#ifdef WIN32
#pragma comment(lib, "SDL.lib")
#pragma comment(lib, "SDLmain.lib")
#endif

#include "SDL.h"

#ifdef main
#undef main
#endif
#define main gba_main

#include "../../main.cpp"

#undef main

int main(int argc, char **argv)
{
    /* initialize SDL */
    if ( SDL_Init( SDL_INIT_VIDEO ) < 0 )
    {
	    fprintf( stderr, "Video initialization failed: %s\n",
		    SDL_GetError( ) );
	    SDL_Quit( );
    }

    SDL_EnableUNICODE(1);
    
    // Call our main.
    gba_main();
    
    SDL_Quit( );

    return 0;
}
